package com.red.circle.other.infra.database.cache.key;

import com.red.circle.component.redis.RedisKeys;

/**
 * @author zongpubin on 2023/9/28
 */
public enum GameBurstCrystalKeys implements RedisKeys {

  /**
   * 爆水晶机游戏.
   */
  GAME_BURST_CRYSTAL,

  /**
   * 爆水晶机游戏累计.
   */
  GAME_BURST_CRYSTAL_INCR,

  /**
   * 是否已开奖.
   */
  GAME_BURST_CRYSTAL_DRAW,

  /**
   * 是否初始化游戏.
   */
  GAME_BURST_CRYSTAL_INIT,

  /**
   * 水晶游戏进度.
   */
  GAME_BURST_CRYSTAL_CONTRIBUTE,

  /**
   * 是否开奖.
   */
  GAME_BURST_CRYSTAL_PREHEAT;

  @Override
  public String businessPrefix() {
    return "GAME_BURST_CRYSTAL";
  }

  @Override
  public String businessKey() {
    return this.name();
  }
}
